package com.inspect.patrol.mapper;

import com.inspect.patrol.domain.PatrolLinkageStrategy;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface PatrolLinkageStrategyMapper {
    PatrolLinkageStrategy selectPatrolLinkageStrategyByLinkageStrategyId(Long id);

    List<PatrolLinkageStrategy> selectPatrolLinkageStrategyList(PatrolLinkageStrategy strategy);

    int insertPatrolLinkageStrategy(PatrolLinkageStrategy strategy);

    int updatePatrolLinkageStrategy(PatrolLinkageStrategy strategy);

    int deletePatrolLinkageStrategyByLinkageStrategyId(Long id);

    int deletePatrolLinkageStrategyByLinkageStrategyIds(Long[] ids);
}
